# Term Style :dancer:

[![Build Status](https://travis-ci.com/iamtheblackunicorn/TermStyle.svg?branch=main)](https://travis-ci.com/iamtheblackunicorn/TermStyle)

*Making your Dart command-line apps funky! :dancer:*

## About :books:

I always thought that the output of command-line apps was just a slew of text and a little bit boring. So I decided to spice things up a little! Term Style gives you the ability to use emojis and colors in your terminal!

## What's available?

### Colors

In terms of colors, these colors are currently provided by Term Style:

- Red
- Green
- Blue
- Cyan
- Magenta
- Yellow

### Emojis

In terms of emojis, these emojis are currently provided by Term Style in five different categories:

#### Faces
- `grinningFace`: :grinning:
- `laughCry`: :joy:
- `upsideDownFace`: :upside_down_face:
- `heartsInFace`: :smiling_face_with_three_hearts:
- `smilingFace`: :blush:
- `haloFace`: :innocent:
- `winkingFace`: :wink:
- `kissingFace`: :kissing_closed_eyes:
- `angryFace`: :angry:
- `crazyFace`: :zany_face:
- `thinkingFace`: :thinking:
- `naughtyface`: :smiling_imp:

#### Animals
- `seeNoEvil`: :see_no_evil:
- `animalGorilla`: :gorilla:
- `windCloud`: :dash:
- `sweatDroplets`: :sweat_drops:
- `dogFace`: :dog:
- `unicornHead`: :unicorn:
- `catFace`: :cat:
- `horseHead`: :horse:
- `pandaFace`: :panda_face:
- `bearFace`: :bear:
- `tigerFace`: :tiger:

#### Symbols
- `readHeart`: :heart:
- `blackHeart`: :black_heart:
- `backArrow`: :back:
- `soonArrow`: :soon:
- `topArrow`: :top:
- `infinitySign`: :infinity:
- `multiplySign`: :heavy_multiplication_x:
- `plusSign`: :heavy_plus_sign:
- `divideSign`: :heavy_division_sign:
- `minusSign`: :heavy_minus_sign:
- `tickSign`: :heavy_check_mark:

#### Tools

- `kitchenKnife`: :knife:
- `scissors`: :scissors:
- `bomb`: :bomb:
- `gun`: :gun:
- `hammer`: :hammer:
- `wrench`: :wrench:
- `hammerAndWrench`: :hammer_and_wrench:
- `hammerAndPick`: :hammer_and_pick:
- `pick`: :pick:
- `woodSaw`: `not supported by GitHub markdown`
- `axe`: :axe:

#### Pride

- `prideFlag`: :rainbow_flag:
- `transFlag`: `not supported by GitHub markdown`
- `rainbow`: :rainbow:
- `peopleKissing`: :couplekiss:
- `party`: :tada:
- `coupleHeart`: :couple_with_heart:
- `sparkles`: :sparkles:
- `confetti`: :confetti_ball:
- `maleBunnies`: :dancing_men:
- `kiss`: :kiss:

## Installation :inbox_tray:

### Adding to your project

To add TermStyle to your project's dependencies, add this to your project's `pubspec.yaml`:

#### From *GitHub*

```YAML
dependencies:
  ...
  termstyle:
    git: git://github.com/iamtheblackunicorn/TermStyle.git
```

#### From *Pub.dev*

```YAML
dependencies:
  ...
  termstyle: ^1.5.0
```

The three dots represent anything else that you might have in the `dependencies` section.
Having done that, re-fetch your project's dependencies by running this in the project's root directory:

```bash
$ dart pub get
```

## Usage :hammer:

### Importing

To import all methods, add this to the top of your `.dart` file:

```dart
import 'package:termstyle/termstyle.dart';
```

## Note :scroll:

- *Term Style :dancer:* by Alexander Abraham :black_heart: a.k.a. *"The Black Unicorn" :unicorn:*
- Licensed under the MIT license.
